package de.avatic.lcc.dto.calculation;

import de.avatic.lcc.dto.generic.MaterialDTO;
import de.avatic.lcc.dto.generic.NodeDTO;
import de.avatic.lcc.model.db.users.User;

public class PremiseDTO {

    private int id;

    private MaterialDTO material;

    private NodeDTO supplier;

    private PremiseState state;

    //TODO premise calculation result here
    // add owner information here (for superuser)

    private User owner;

    public User getOwner() {
        return owner;
    }

    public void setOwner(User owner) {
        this.owner = owner;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public MaterialDTO getMaterial() {
        return material;
    }

    public void setMaterial(MaterialDTO material) {
        this.material = material;
    }

    public NodeDTO getSupplier() {
        return supplier;
    }

    public void setSupplier(NodeDTO supplier) {
        this.supplier = supplier;
    }

    public PremiseState getState() {
        return state;
    }

    public void setState(PremiseState state) {
        this.state = state;
    }
}
